local ADDON, Package = ...
local Enum = Package.Enum

local function migrate()
  local storage = MedusaPreludeStorage

  if storage and storage.version and storage.version < 3 then
    storage = Enum.rename(storage, "use_item_quality_color_border", "paperdoll_item_quality_color_border")
    storage.trade_item_quality_color_border = storage.paperdoll_item_quality_color_border

    storage = Enum.rename(storage, "use_arrow_keys_in_chat", "chat_arrow_keys")
    storage = Enum.rename(storage, "increase_chat_history", "chat_max_history")
    storage = Enum.rename(storage, "unclamp_chat_frame", "chat_unclmap_frame")
    storage = Enum.rename(storage, "use_sticky_raid_warning_in_chat", "chat_sticky_raid_warning")
    storage = Enum.rename(storage, "use_class_color_in_chat", "cvar_chat_class_color_override")
    storage = Enum.rename(storage, "use_max_zoom_factor", "cvar_camera_distance_max_zoom_factor")
    storage = Enum.rename(storage, "posture_after_action_attempted", "action_auto_transition")
    storage = Enum.rename(storage, "repair_when_interact_merchant", "merchant_repair_items")
    storage = Enum.rename(storage, "sell_junk_when_interact_merchant", "merchant_sell_items")
    storage = Enum.rename(storage, "rework_time_alert", "timealert_style")
    storage = Enum.rename(storage, "indicate_accurate_buff_time", "aura_duration")

    storage = Enum.rename(storage, "indicate_item_id_and_level_on_tooltip", "gametooltip_item_id")
    storage.gametooltip_item_level = storage.gametooltip_item_id

    storage = Enum.rename(storage, "indicate_item_vendor_price_on_tooltip", "gametooltip_item_price")
    storage = Enum.rename(storage, "indicate_target_level_and_class_color_in_trade", "trade_recipient_name_with_class_and_level")
    storage = Enum.rename(storage, "copy_url_in_chat", "chat_copy_url_to_clipboard")
    storage = Enum.rename(storage, "log_chat", "chat_message_logger")
    storage = Enum.rename(storage, "prevent_unit_combat_feedback", "combat_disable_portrait_message")
    storage = Enum.rename(storage, "prevent_ui_error_message_during_combat", "combat_disable_ui_error_message")

    storage.version = 3

    storage = Enum.omit(storage, {"use_max_distance"})

    MedusaPreludeStorage = storage
  end
end

Package.migrate = migrate
